Package org.eclipse.ecf.core.util.reflection

# Class ClassUtil

java.lang.Object
org.eclipse.ecf.core.util.reflection.ClassUtil

public class ClassUtil extends Object

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`ClassUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Method`
`getDeclaredMethod(Class aClass, String aMethodName, Class[] someParameterTypes)`
`static Method`
`getMethod(Class aClass, String aMethodName, Class[] someParameterTypes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassUtil

public ClassUtil()

## Method Details

### getMethod

public static Method getMethod(Class aClass, String aMethodName, Class[] someParameterTypes) throws NoSuchMethodException

Parameters:
  `aClass` - The Class providing method under question (Must not be null)
  `aMethodName` - The method name to search for (Must not be null)
  `someParameterTypes` - Method arguments (May be null or parameters)
Returns:
  A match. If more than one method matched (due to overloading) an arbitrary match is taken
Throws:
  `NoSuchMethodException` - If a match cannot be found

### getDeclaredMethod

public static Method getDeclaredMethod(Class aClass, String aMethodName, Class[] someParameterTypes) throws NoSuchMethodException

Parameters:
  `aClass` - The Class providing method under question (Must not be null)
  `aMethodName` - The method name to search for (Must not be null)
  `someParameterTypes` - Method arguments (May be null or parameters)
Returns:
  A match. If more than one method matched (due to overloading) an arbitrary match is taken
Throws:
  `NoSuchMethodException` - If a match cannot be found